Bug 655635

Summary: preupgrade f13->f14 fails to update fedora-release
Product: [Fedora] Fedora Reporter: Joe Sapp <sapp>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: cje, richard
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 06:27:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joe Sapp 2010-11-21 21:52:12 EST
I ran preupgrade (even though my /boot partition didn't have enough space for the installer image) in Fedora 13 and everything seemed to go fine.  I rebooted into the upgrade image, proceeded through all the steps and rebooted into the new fc14 kernel.  However, 'yum repolist' still shows the F13 repositories.  /etc/fedora-release has one line in it: "Generic release 14 (Generic)".

I noticed that both 'generic-release-14-1' and 'fedora-release-13-1' (versions may be wrong) were installed.  To fix this, I used rpm --erase --nodeps to remove both packages, manually downloaded and installed 'fedora-release-14-1' using rpm.  'yum repolist' now shows the F14 repos and I am currently running 'yum distro-sync'.

If it's not obvious, I expected the fedora-release packages to be upgraded by preupgrade.
Comment 1 cje 2010-12-08 12:52:26 EST
same problem here.

yum remove fedora-release-13-1.noarch

solved it for me - no need to "rpm --erase --nodeps" or download stuff.

yum said the 13-1 package came from @anaconda-InstallationRepo-201005130056.i386 repository.

it also got rid of "fedora-release-rawhide" from the "@fedora" repo as a dependency.  not sure what that's about - could be a clue?
Comment 2 Bug Zapper 2011-05-30 09:33:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 06:27:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.